%define url_ver %(echo %{version} | cut -d. -f1,2)

# fix copr builds
%{!?_real_vendor:%global _real_vendor mageia}

Summary:	Desktop manager for the Xfce Desktop Environment
Name:		xfdesktop
Version:	4.14.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# Upstream patches
#
# Mageia patches
Patch500:	0001-Disable-ellipsizing-unselected-icon-labels-by-defaul.patch
BuildRequires:	git-core
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(garcon-gtk3-1) >= 0.6.0
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(thunarx-3)
Requires:	desktop-common-data
Requires:	%{_real_vendor}-xfce-config >= 4.120.6.2
Requires:	%{_real_vendor}-theme

%description
The desktop manager sets the background image, provides a right-click
menu to launch applications and can optionally show files
(including application launchers) or iconified windows. It includes
gradient support for background color, saturation support for background image,
real multiscreen and xinerama support, and it provides a desktop menu editor.

%prep
%autosetup -p1 -Sgit_am

%build
%configure2_5x \
	--disable-static \
	--enable-desktop-icons \
	--enable-file-icons \
	--enable-thunarx \
	--enable-desktop-menu \
	--with-file-manager-fallback=%{_bindir}/Thunar \
	--enable-notifications

%make_build

%install
%make_install

# symlink to default mageia background
ln -s %{_datadir}/mga/backgrounds/default.png %{buildroot}%{_datadir}/backgrounds/xfce/mageia.png

%find_lang %{name}

%files -f %{name}.lang
%doc README TODO AUTHORS NEWS
%{_bindir}/%{name}*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/xfce*
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/%{name}/
%{_mandir}/man1/%{name}*
%dir %{_datadir}/backgrounds/xfce/
%{_datadir}/backgrounds/xfce/xfce-blue.jpg
%{_datadir}/backgrounds/xfce/xfce-teal.jpg
%{_datadir}/backgrounds/xfce/xfce-stripes.png
%{_datadir}/backgrounds/xfce/mageia.png
